TESTING/EIG/dslect.f(3)

NAME
TESTING/EIG/dslect.f

SYNOPSIS

  Functions/Subroutines
logical function dslect (zr, zi)
DSLECT

Function/Subroutine Documentation

  logical function dslect (double precision zr, double precision zi)

DSLECT

Purpose:

     DSLECT returns .TRUE. if the eigenvalue ZR+sqrt(-1)*ZI is to be
     selected, and otherwise it returns .FALSE.
     It is used by DCHK41 to test if DGEES successfully sorts eigenvalues,
     and by DCHK43 to test if DGEESX successfully sorts eigenvalues.
     The common block /SSLCT/ controls how eigenvalues are selected.
     If SELOPT = 0, then DSLECT return .TRUE. when ZR is less than zero,
     and .FALSE. otherwise.
     If SELOPT is at least 1, DSLECT returns SELVAL(SELOPT) and adds 1
     to SELOPT, cycling back to 1 at SELMAX.

Parameters
    ZR

              ZR is DOUBLE PRECISION
              The real part of a complex eigenvalue ZR + i*ZI.

    ZI

              ZI is DOUBLE PRECISION
              The imaginary part of a complex eigenvalue ZR + i*ZI.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 61 of file dslect.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.